Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class IVarTool.ComboListener

    java.lang.Object
      ix.iplan.CombinedPlanChangeListener
          ix.ip2.IVarTool.ComboListener

All Implemented Interfaces:
  ProcessStatusListener, AgendaListener, java.util.EventListener

Enclosing class:
  IVarTool

     class IVarTool.ComboListener

extends CombinedPlanChangeListener

Constructor Summary
`IVarTool.ComboListener()`

Method Summary
`protected void` | `eventReceived(java.util.EventObject e)`
`void` | `itemAdded(AgendaEvent e, AgendaItem item)`
`void` | `itemRemoved(AgendaEvent e, AgendaItem item)`
`void` | `newBindings(ProcessStatusEvent e, java.util.Map bindings)`

Methods inherited from class ix.iplan.CombinedPlanChangeListener
`connectYourself, itemHandled, newBindings, setAgendaManager, stateChange, stateDeletion, statusUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IVarTool.ComboListener

    IVarTool.ComboListener()

Method Detail

### eventReceived

    protected void eventReceived(java.util.EventObject e)

  Specified by:
    `eventReceived` in class `CombinedPlanChangeListener`

### newBindings

    public void newBindings(ProcessStatusEvent e,
                            java.util.Map bindings)

  Specified by:
    `newBindings` in interface `ProcessStatusListener`
  Overrides:
    `newBindings` in class `CombinedPlanChangeListener`

### itemAdded

    public void itemAdded(AgendaEvent e,
                          AgendaItem item)

  Specified by:
    `itemAdded` in interface `AgendaListener`
  Overrides:
    `itemAdded` in class `CombinedPlanChangeListener`

### itemRemoved

    public void itemRemoved(AgendaEvent e,
                            AgendaItem item)

  Specified by:
    `itemRemoved` in interface `AgendaListener`
  Overrides:
    `itemRemoved` in class `CombinedPlanChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD